/************************************************
* Zeus CMD - C++ Tutorial 42 : Dynamic Matrices *
* By Grant James (ZEUS)                         *
* http://www.zeuscmd.com                        *
************************************************/
#include <iostream>
#include <stdlib.h>

using namespace std;

int main()
{
	int rowSize = 0;
	int colSize = 0;

	cout << "Please enter a row size : ";
	cin >> rowSize;
	cout << "Please enter a column size : ";
	cin >> colSize;

	int **matrix = NULL;

	matrix = new int*[rowSize];

	for (int i = 0; i < rowSize; i++)
		matrix[i] = new int[colSize];

	for (int i = 0; i < rowSize; i++)
		for (int j = 0; j < colSize; j++)
			matrix[i][j] = i * j % 10;

	for (int i = 0; i < rowSize; i++)
	{
		for (int j = 0; j < colSize; j++)
			cout << matrix[i][j] << " ";

		cout << endl;
	}

	for (int i = 0; i < rowSize; i++)
		delete[] matrix[i];

	delete[] matrix;

	matrix = NULL;

	system("sleep 1");

	return 0;
}
